Subject: [Fot] Nomination

From: "Chuck Arnold and/or Kathleen Kelley" <[email-masked]>
Date: Tue, 28 May 2013 09:38:57 -0700

Racing at Mission in Canada this last weekend I was pleased to find another
TR6.  Beautiful, street legal car out of Clagary.  Driven well by Stephanie
Barnes.  She did not know of FOT, but was anxious to learn.  Car is fast!

Email: [email-masked].

Need a second!  She is racing this coming weekend with SOVREN in Spokane.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive